<form novalidate [formGroup]="loginForm" (ngSubmit)="onSubmit()">
  <div class="form-group has-feedback" [class.has-error]="emailCtrl.invalid && emailCtrl.touched">
    <input type="email" class="form-control" placeholder="Email" formControlName="email">
    <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
    <span class="help-block" *ngIf="emailCtrl.invalid && emailCtrl.touched">{{getEmailErrorMessage()}}</span>
  </div>
  <div class="form-group has-feedback" [class.has-error]="passwordCtrl.invalid && passwordCtrl.touched">
    <input type="password" class="form-control" placeholder="Password" formControlName="password">
    <span class="glyphicon glyphicon-lock form-control-feedback"></span>
    <span class="help-block" *ngIf="passwordCtrl.invalid && passwordCtrl.touched">{{passwordCtrl.getError('required') ? 'Passowrd required' : 'Error'}}</span>
  </div>
  <div class="row">
    <div class="col-xs-4 col-xs-offset-8">
      <button type="submit" class="btn btn-primary btn-block btn-flat" [disabled]="loading">Login</button>
    </div>
  </div>
</form>
